################################################################################
# This is 'srvtab.pm', a ncm-srvtab's file
################################################################################
#
# VERSION:    2.0, 21/08/08 19:16
# AUTHOR:     Jaroslaw Polok <jaroslaw.polok@cern.ch>
# MAINTAINER: Jan Iven <jan.iven@cern.ch>
# LICENSE:    http://cern.ch/eu-datagrid/license.html
#
#  ** Generated file : do not edit **
#
################################################################################
# Coding style: emulate <TAB> characters with 4 spaces, thanks!
################################################################################

package NCM::Component::srvtab;

#
# a few standard statements, mandatory for all components
#

use strict;
use NCM::Component;
use vars qw(@ISA $EC);
@ISA = qw(NCM::Component);
$EC=LC::Exception::Context->new->will_store_all;

my $mypath='/software/components/srvtab';

##########################################################################
sub Configure {
##########################################################################
  my ($self,$config)=@_;
  my $verbose ='';

  unless ($config->elementExists($mypath."/overwrite")) {
    $self->error("cannot get $mypath/overwrite");
    return 0;
  }

  my $force=$config->getValue($mypath."/overwrite");

  if ($config->elementExists($mypath."/verbose")) {
    my $temp = $config->getValue($mypath."/overwrite");
    if ($temp && $temp !~ m/(false|0)/i) {
      $verbose = '--verbose';
    }
  }


  unless ($NoAction) {
    my $args = $verbose;
    $args .= " --force" if ($force eq "true");
    my $out = `/usr/sbin/cern-get-keytab $args 2>&1`;
    my $retval = ($? >> 8);
    if ($retval) {
      $self->error("cern-get-keytab:\n$out");
    } else {
      $self->info("cern-get-keytab:\n$out");
      $self->OK("Configured Kerberos host principal");
    }

  }
  return 1;
}


##########################################################################
sub Unconfigure {
##########################################################################
  unless ($NoAction) {
   my ($self,$config)=@_;

    $self->OK("Unconfigured Kerberos host principal - nothing done");
  }
  return 1;
}

1; #required for Perl modules


### Local Variables: ///
### mode: perl ///
### End: ///
